/* Hide scrollbar for Chrome, Safari and Opera */
html,
body {
  -ms-overflow-style: none !important; /* IE and Edge */
  scrollbar-width: none !important; /* Firefox */
}

html::-webkit-scrollbar,
body::-webkit-scrollbar {
  display: none !important; /* Chrome, Safari, Opera */
  width: 0 !important;
  height: 0 !important;
}
.home-page {
  background-color: #f4f8f8;
}

.navbar {
  /* background-color: rgb(244, 248, 248) !important; */
  color: rgb(248, 248, 251);
}

.nav-link {
  /* color: rgb(17, 17, 41) !important; */
}

.nav-link.active {
  /* color: rgb(17, 17, 41) !important; */
  border-bottom: 2px solid rgb(248, 248, 251);
  transform: translateY(-3px);
}

.search-icon {
  color: rgb(9, 9, 34);
}

.shop-cart-icon {
  /* color: rgb(17, 17, 41) !important; */
}

.search-input {
  background-color: rgb(244, 248, 248) !important;
  border: 2px solid rgb(17, 17, 41);
}

.search-input::placeholder {
  color: rgb(17, 17, 41) !important;
  font-weight: bold;
}

.hamburger-icon {
  color: #ffffff;
}

.home-img-container {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 700px;
  margin: 0 auto;
}

.homepage-video-cover {
  width: 100%;
  height: 100%;

  object-fit: cover;
}

.home-img-container img {
  width: 99%;
  height: 100%;
  object-fit: cover;
  opacity: 1;
  transition: opacity 0.3s ease-in-out;
}

.header-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
}

.home-page-header-container {
  margin-top: 100px !important;
  margin-bottom: 100px !important;

  width: 90%;

  border-radius: 15px;
  border: none;
  box-shadow: 0 0 5px rgb(9, 9, 34);
}

.logo-and-heading-cont {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.header-logo {
  width: 100px;
  height: auto;
  margin-bottom: 20px;
}

/* CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE
CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE CHECKOUT PAGE  */

/* NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR NAVBAR */
html,
.checkout-page {
  margin: 0;
  padding: 0;
  width: 100%;
  min-height: 100vh;
}

.custom-navbar {
  display: flex;
  justify-content: center;
  align-items: center;
  border-bottom: 1px solid rgb(36, 36, 41);
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
  padding-top: 10px;
  position: sticky;
  top: 0;
  z-index: 1000;
  background-color: #ffffff;
  width: 100%;
  padding-right: 30px;
}

.logo-cont {
  display: flex;
  justify-content: center;
  align-items: center;
  /* margin-top: 10px; */
}

.checkout-page-nav-logo {
  width: 80px;
  object-fit: contain;
}

.cart-icon-co-pg {
  position: absolute;
  top: 40%;
  right: 60px;
}

/* MAIN CONTENT MAIN CONTENT MAIN CONTENT MAIN CONTENT MAIN CONTENT */

.checkout-content {
  display: flex;
  z-index: 1;
}

/* USER FORM SECTION  USER FORM SECTION  USER FORM SECTION  USER FORM SECTION */
.user-form {
  display: flex;
  padding-top: 50px;
  flex-direction: column;
  border-right: 1px solid rgb(36, 36, 41);
  align-items: center;
  justify-content: center;
  padding: 50px 40px 0 40px;
  /* width: 50%; */
}

.checkout-form {
  display: flex;
  flex-direction: column;
  gap: 20px;
  border: none;
  border-radius: none;
}

.bold-labels {
  font-weight: 500;
  font-size: 23px;
}

.form-column {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.placeholder {
  opacity: 0.3;
}

.flex-row-container {
  display: flex;
  gap: 15px;
  justify-content: center;
  align-items: center;
}

.location-container {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

.location-container input {
  width: 30%;
}

.state-selection {
  width: 40% !important;
}

.payment-section {
  margin-top: 70px;
}

.under-payment {
  margin-top: 4px !important;
}

.card-details-container {
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: 20px;
  background-color: rgb(214, 221, 221);
  border-radius: 10px;
  /* width: 549px !important; */
}

.credit-card {
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid rgb(204, 207, 209);
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
  display: flex;
  padding-right: 10px;
  justify-content: space-between;
  align-items: center;
}

.payment-icons {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.payment-icons img {
  width: 38px !important;
  height: 24px !important;
}

.card-details {
  padding: 10px 10px 30px 10px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  width: 100% !important;
}

.pstxt {
  font-weight: 600;
}

.payment-message {
  margin: 0 auto;
  text-align: center;
  padding: 20px;
  font-weight: 600;
}

.payment-message p {
  font-weight: 600;
}

.dummy {
  padding: 0 10px 0 10px !important;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.billing-check-input {
  padding-left: 35px;
}

.billing-address-checkbox {
  margin-top: 20px;
}

.billing-address-form {
  background-color: rgb(214, 221, 221);
  display: flex;
  flex-direction: column;
  gap: 20px;
  margin-top: 30px;
  transition:
    opacity 0.3s ease,
    max-height 0.4s ease;
}

.billing-address-form.hidden {
  opacity: 0;
  max-height: 0;
  visibility: hidden;
}

.billing-address-form.show {
  opacity: 1;
  max-height: 500px;
  /* visibility: visible; */
}

.mode-of-payment-container {
  padding: 10px;
  margin-top: 30px;
}

.mop-box {
  border: 1px solid rgb(142, 149, 150);
  padding: 10px;
  padding-left: 30px;
  transition: background-color 0.3s ease;
  border-radius: 5px;
  margin-bottom: 0;
  cursor: pointer;
}

.mop-box:hover {
  background-color: rgb(252, 253, 253);
}

.moptxt {
  font-weight: 600;
}

.description-container {
  padding: 30px;
  background-color: rgb(252, 253, 253);
  border: 1px solid rgb(142, 149, 150);
  border-top: none;
  margin-top: 0;
  border-bottom-right-radius: 10px;
  border-bottom-left-radius: 10px;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  justify-content: center;
  transition:
    opacity 0.3s ease,
    max-height 0.4s ease;
}

.description-container.hidden {
  opacity: 0;
  max-height: 0;
}

.description-container.show {
  opacity: 1;
  max-height: 400px;
  visibility: visible;
}

.description-container.inner {
  width: 100%;
}
.direct {
  width: 100%;
  padding: 10px;
  font-size: 14px;
  padding-left: 30px;
}

.direct:hover {
  background-color: rgb(214, 221, 221);
}

.line-height {
  line-height: 1.8 !important;
}

.state-placeholder {
  font-size: 12px;
}

.bank-transfer-box.radius-removal {
  background-color: rgb(252, 253, 253);
  border-bottom-right-radius: 0 !important;
  border-bottom-left-radius: 0 !important;
}

.pay-btn-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 30px;
  margin-bottom: 50px;
}

.pay-btn-container button {
  width: 95%;
  background-color: rgb(12, 12, 12);
  padding: 15px;
  font-weight: bold;
  color: white;
  border-radius: 10px;
  border: none;
  font-size: 20px;
}

.pay-btn-container button:hover {
  background-color: black;
}

.copyright-co-page {
  display: flex;
  justify-content: flex-end;
  margin-right: 15px;

  font-size: 13px;
  color: rgb(123, 126, 126);
  margin-bottom: 40px;
}

/* PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION */
/* PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION  PRODUCT-DETAILS SECTION */

.product-details {
  display: flex;
  flex-direction: column;
  padding: 30px 20px 20px 20px;
  background-color: rgb(211, 217, 221);
  width: 60%;
  position: sticky;
  top: 90px;
  height: fit-content;
  min-height: 100vh;
}

.order-summary {
  display: none;
  margin: 0 auto;
  justify-content: center;
  padding: 10px;
}

.product-box {
  display: flex;
  flex-direction: column;
  gap: 35px;
}

.item-wrapper-cunt {
  display: flex;
  justify-content: center;
}

.item-wrapper {
  display: flex;

  align-items: center;
  justify-content: space-between;
  width: 100%;
}

.img-and-discr-cont {
  display: flex;

  gap: 5px;
}

.item-img-wrapper {
  width: 70px;
  height: 70px;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 4px;
  border: 1px solid rgb(28, 28, 29);
  border-radius: 5px;
  position: relative;
  background-color: white;
}

.item-img-wrapper img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.item-qty {
  position: absolute;
  background-color: rgb(58, 59, 59);
  left: 90%;
  bottom: 87%;
  border-radius: 50%;
  width: 18px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  opacity: 0.8;
}

.item-info-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  flex-grow: 1;
}

.item-info-wrapper p {
  margin: 2px 0;
  line-height: 1.2;
  width: 90%;
}

.item-price-wrapper {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  /* min-width: 70px; */
}

.item-price-wrapper p {
  font-size: 20px;
}

.subtotal-container {
  margin-top: 70px;
  padding-bottom: 50px;
}

.subtotal-container div {
  display: flex;
  justify-content: space-between;
}

.subtotal-container div p {
  font-weight: 600;
}

.subtotal-container div .price {
  font-size: 18px;
}

.total {
  font-size: 20px;
}

.subtotal-container div .full-total-price {
  font-size: 25px;
}

.product-details .pay-btn-container,
.product-details hr,
.product-details .copyright-co-page {
  display: none;
}

/* MOBILE VIEW MOBILE VIEW MOBILE VIEW MOBILE VIEW MOBILE VIEW */
/* MOBILE VIEW MOBILE VIEW MOBILE VIEW MOBILE VIEW MOBILE VIEW */

@media (max-width: 1000px) {
  .item-wrapper-cunt {
    border-bottom: 1px dotted black;
    padding-bottom: 20px;
  }

  .overrall-cont {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin: 0 auto;
  }

  .checkout-content {
    flex-direction: column;
    width: 90%;
    margin: 0 auto;
    padding: 0;
  }

  /* Remove the fixed padding from the product details section */
  .checkout-content .product-details {
    border-radius: 10px;
    padding: 30px 20px; /* Use a reasonable padding value */
    margin: 0 auto; /* Ensure it's centered within its container */
    width: 100%; /* Make sure it's taking up all available space */
    position: static; /* Remove sticky positioning for mobile layout */
    min-height: 500px;
    margin-bottom: 20px;
  }

  .user-form {
    border: none;
    padding: 50px 10px 0 10px;
    margin-bottom: 40px;
  }

  .pay-btn-container,
  hr,
  .copyright-co-page {
    display: none;
  }

  .order-summary {
    display: flex;
    margin-bottom: 30px;
  }

  .product-details .pay-btn-container,
  .product-details hr,
  .product-details .copyright-co-page {
    display: flex;
  }

  .product-details .pay-btn-container {
    margin-bottom: 15px;
  }
}

@media (max-width: 800px) {
  .custom-navbar {
    padding-right: 15px;
  }

  .nav-ul {
    background-color: #333333;
    color: rgb(17, 17, 41);
  }

  .home-page-header-container h1 {
    font-size: 30px;
  }

  .home-page-header-container {
    height: 400px;
  }
}

@media (max-width: 600px) {
  .home-page-header-container h1 {
    font-size: 25px;
  }

  .checkout-content {
    width: 95%;
  }

  .home-page-header-container {
    padding: 30px 0 !important;
    height: 350px;
  }
}

@media (max-width: 550px) {
  .line-height {
    font-size: 15px;
  }

  .checkout-content .product-details {
    padding: 30px 10px 20px 10px;
  }

  .product-box {
    padding: 0 5px;
  }

  .cart-icon {
    right: 50px;
  }
}

@media (max-width: 450px) {
  .cart-icon {
    right: 40px;
  }

  .item-info-wrapper p {
    font-size: 15px;
  }

  .home-page-header-container h1 {
    font-size: 22px;
  }
  .checkout-content {
    width: 100%;
  }

  .checkout-content .product-details {
    width: 95%;
  }
}
